#
# spec file for package MouseBoat
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           MouseBoat
Version:        0.0+git.1467132285.6f5da8f
Release:        1.1
Summary:        Play as a mouse and sail around a pond
%if 0%{?suse_version} != 1310
License:        MIT and CC-BY-SA-4.0
%else
License:        MIT and SUSE-Freeware
%endif
Group:          Amusements/Games/3D/Simulation
Url:            https://cowthing.itch.io/mouse-boat
# From git repository on github
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  update-desktop-files
Requires:       godot >= 2.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Play as a mouse and sail around a pond. Fish will appear as small shadows in the water,
cast your rod and try to catch some fish.
Any fish you keep are saved!

There are 14 fish with varying degrees of rarity and difficulty. Catch them all!

%prep
%setup -q

%build

%install
# Install game files
install -dm755 %{buildroot}%{_datadir}/%{name}
cp -R -t %{buildroot}%{_datadir}/%{name} *

# Install License and Readme (for legal reasons is the very important)
install -d -m755 %{buildroot}%{_docdir}/%{name}
install -m644 -t %{buildroot}%{_docdir}/%{name} README.md LICENSE.md

# Install Gamewrapper
install -dm755 %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
godot -path "%{_datadir}/%{name}" $@
EOF
chmod 755 %{buildroot}%{_bindir}/%{name}

# Install Icon and Desktop files
install -Dm644 icon.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -dm755 %{buildroot}%{_datadir}/applications
%suse_update_desktop_file -c %{name} %{name} "Sailing game" %{name} %{name} Game Simulation

# Remove duplicates
%fdupes %{buildroot}%{_datadir}

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue Jun 28 2016 rpm@fthiessen.de
- First package
